define({"634":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",l:-1,t:"LuaXmlDocument Methods",i:0.000455246925723411,a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ..."},"635":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",l:-1,t:"root",i:0.000532638991493358,a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object."},"636":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",l:-1,t:"XPathExecute",i:0.000532638991493358,a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Returns (LuaXmlNodeSet). A LuaXmlNodeSet object."},"637":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",l:-1,t:"XPathRegisterNs",i:0.000532638991493358,a:"XPathRegisterNs The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Returns (Boolean). True if successful, False in case of error."},"638":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",l:-1,t:"XPathValue",i:0.000532638991493358,a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Returns (String). A string of the value."},"639":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",l:-1,t:"XPathValues",i:0.000532638991493358,a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with braces. For example: values = { xml:XPathValues(query) }"},"640":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",l:-1,t:"LuaXmlNodeSet Methods",i:0.000455246925723411,a:"LuaXmlNodeSet Methods A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size()"},"641":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",l:-1,t:"at",i:0.000648727090148279,a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Returns (LuaXmlNode)."},"642":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",l:-1,t:"size",i:0.000648727090148279,a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set."},"643":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",l:-1,t:"LuaXmlNode Methods",i:0.000455246925723411,a:"LuaXmlNode Methods A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name()"},"644":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",l:-1,t:"attr",i:0.000493942958608384,a:"attr The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Returns (LuaXmlAttribute). "},"645":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",l:-1,t:"content",i:0.000493942958608384,a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content."},"646":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",l:-1,t:"firstChild",i:0.000493942958608384,a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode)."},"647":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",l:-1,t:"lastChild",i:0.000493942958608384,a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode)."},"648":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",l:-1,t:"name",i:0.000493942958608384,a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name."},"649":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",l:-1,t:"next",i:0.000493942958608384,a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode)."},"650":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",l:-1,t:"nodePath",i:0.000493942958608384,a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path."},"651":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",l:-1,t:"parent",i:0.000493942958608384,a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode)."},"652":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",l:-1,t:"prev",i:0.000493942958608384,a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode)."},"653":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",l:-1,t:"type",i:0.000493942958608384,a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ..."},"654":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",l:-1,t:"LuaXmlAttribute Methods",i:0.000455246925723411,a:"LuaXmlAttribute Methods A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name()"},"655":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",l:-1,t:"name",i:0.000551987007935845,a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute."},"656":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",l:-1,t:"next",i:0.000551987007935845,a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute)."},"657":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",l:-1,t:"prev",i:0.000551987007935845,a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute)."},"658":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",l:-1,t:"value",i:0.000551987007935845,a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute."},"659":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_MaxPriority.htm",l:-1,t:"Max-Priority",i:0.002161888738408,a:"Max-Priority Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the connector only returns actions that have a priority the same as or below the specified value. "},"660":{y:0,u:"../Content/Service/ServiceActions/_ACI_Name.htm",l:-1,t:"Name",i:0.00102879573539833,a:"Name Type the name of the log stream you want to return. To retrieve a list of log stream names, use the  GetLogStreamNames  service action."},"661":{y:0,u:"../Content/Actions/General/_ACI_IP.htm",l:-1,t:"IP",i:0.0010317141471191,a:"IP The IP address for which to check permissions. By default, the  ShowPermissions  action checks the permissions for the client that sends the request."},"662":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_QueuedBefore.htm",l:-1,t:"Queued-Before",i:0.002161888738408,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that were added to the queue before the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ..."},"663":{y:0,u:"../Content/Lua/_LUA_HTTP_Client_Config.htm",l:-1,t:"HTTP Client Parameters",i:0.00305501896840632,a:"This page describes the HTTP Client options that you can use with the Lua function  send_http_request . When configuring authentication, do not set more than one of the following combinations. BasicUsername and BasicPassword DigestUsername and DigestPassword NTLMUsername and NTLMPassword You can ..."},"664":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_StartedAfter.htm",l:-1,t:"Started-After",i:0.002161888738408,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that started processing after the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ YYYY/MM/DD ..."},"665":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_QueuedAfter.htm",l:-1,t:"Queued-After",i:0.002161888738408,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that were added to the queue after the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ..."},"666":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_SortBy.htm",l:-1,t:"Sort-By",i:0.002161888738408,a:"Sort-By The property to use to sort the actions that are returned: queue-time - The time the request was received. start-time - The time the server began processing the request. finish-time - The time the server finished processing the request."},"667":{y:0,u:"../Content/Configuration/ACIEncryption/_ACI_Config_ACIEncryptionParams.htm",l:-1,t:"ACI Encryption Configuration Parameters",i:0.00430778573421089,a:"ACI encryption is deprecated for Yammer Connector version 12.6.0 and later. Instead of using ACI encryption, Micro Focus recommends configuring Secure Socket Layer (SSL) connections between ACI servers and applications. For more information, see  Secure Socket Layer Parameters . You can use ..."},"668":{y:0,u:"../Content/Actions/General/_ACI_Filename.htm",l:-1,t:"Filename",i:0.00124686231374499,a:"Filename The path of the backup file. "},"669":{y:0,u:"../Content/Actions/General/_ACI_Path.htm",l:-1,t:"Path",i:0.000778599497844815,a:"Path The folder in which to save the backup file. "},"670":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_SortOrder.htm",l:-1,t:"Sort-Order",i:0.002161888738408,a:"Sort-Order The order to use to sort the actions that are returned: ascending  - The oldest action is listed first. descending - The most recent action is listed first."},"671":{y:0,u:"../Content/Actions/SharedParameters/_ACI_FileName.htm",l:-1,t:"FileName",i:0.00212976923612409,a:"The location of the file to write the action output to, if you have set  Output  to  File. Type the full path to the file. The path that you specify must be listed in the  AllowedOutputDirectoryCSVs  configuration parameter. Yammer Connector cannot write the output file to directories that are not ..."},"672":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Output.htm",l:-1,t:"Output",i:0.003940067046309,a:"Type  File to write action output to a file. If you set Output to  File, you must use the  FileName  parameter to specify the name and the location of the file that you want to write the output to. The path that you specify in  FileName  must be listed in the  AllowedOutputDirectoryCSVs  ..."},"673":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_MaxResults.htm",l:-1,t:"MaxResults",i:0.002161888738408,a:"MaxResults The maximum number of results to return in the response when you run action=QueueInfo\u0026QueueAction=getStatus. The default value of this parameter does not limit the number of results. "},"674":{y:0,u:"../Content/Service/ServiceActions/_ACI_File.htm",l:-1,t:"File",i:0.00242630051344023,a:"File The path and file name of the diagnostics ZIP file to create. You can use an absolute or relative path. Relative paths are relative to the current component working directory."},"675":{y:0,u:"../Content/Configuration/ACIEncryption/_ACI_ServiceName.htm",l:-1,t:"ServiceName",i:0.000599628677179683,a:"The ServiceName parameter is deprecated for Yammer Connector version 12.6.0 and later. You can use GSS authorization without using ACI encryption by configuring the  GSSServiceName  and  RequireGSSAuth  parameters. The ServiceName parameter is still available for existing implementations, but it ..."},"676":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_Start.htm",l:-1,t:"Start",i:0.002161888738408,a:"Start The index of the first result to return in the response when you run action=QueueInfo\u0026QueueAction=getStatus. The index of the first result is  1. Use this parameter when you set the MaxResults action parameter, to page through the results."},"677":{y:0,u:"../Content/Actions/General/_ACI_Format.htm",l:-1,t:"Format",i:0.00200815678281013,a:"Format Type  XML to display the request log in XML format. "},"678":{y:0,u:"../Content/Service/ServiceActions/_ACI_Tail.htm",l:-1,t:"Tail",i:0.00102879573539833,a:"Tail Type the number of lines from the log stream to return. The lines are read from the top (that is, the most recent lines are returned). Type  -1 to return all entries."},"679":{y:0,u:"../Content/Service/ServiceActions/_ACI_FromDisk.htm",l:-1,t:"FromDisk",i:0.00102879573539833,a:"FromDisk Specifies whether the log stream is read from disk or memory. Type  True if you want the log stream to be read from disk rather than from memory. "},"680":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_QueueName.htm",l:-1,t:"QueueName",i:0.00159527396765099,a:"QueueName The name of the queue to query. There is one queue for each asynchronous action.  \n            Most of a connector\u0027s functionality is accessed through action=fetch, so usually you will specify fetch.\n        "},"681":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Template.htm",l:-1,t:"Template",i:0.00442864055251254,a:"Template The name of the XSL template to apply to the action output. Exclude the file path and file extension."},"682":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_FinishedAfter.htm",l:-1,t:"Finished-After",i:0.002161888738408,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that finished processing after the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ..."},"683":{y:0,u:"../Content/Configuration/ACIEncryption/_ACI_CommsAllowUnencrypted.htm",l:-1,t:"CommsAllowUnencrypted",i:0.000599628677179683,a:"The CommsAllowUnencrypted parameter is deprecated for Yammer Connector version 12.6.0 and later. Instead of using ACI encryption, Micro Focus recommends configuring Secure Socket Layer (SSL) connections between ACI servers and applications. For more information, see  Secure Socket Layer Parameters . ..."},"684":{y:0,u:"../Content/Actions/General/_ACI_Refresh.htm",l:-1,t:"Refresh",i:0.00200815678281013,a:"Refresh The number of seconds to elapse before the request log refreshes. "},"685":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_Priority.htm",l:-1,t:"Priority",i:0.00124306531090701,a:"Priority The new priority to assign to the queued action. Specify the new priority as an integer. The higher the value you assign, the higher the priority of the action. "},"686":{y:0,u:"../Content/Actions/General/_ACI_OpenLinks.htm",l:-1,t:"OpenLinks",i:0.00200815678281013,a:"OpenLinks Type  on to open logged requests in a new window when they are clicked. "},"687":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ActionID.htm",l:-1,t:"ActionID",i:0.00235803327105,a:"A string to use to identify an ACI action. You can use this parameter to track actions where the action is passed between multiple IDOL components. Each IDOL component passes the ActionID string along with the action, so that you can easily find related actions in logs for each component. If you do ..."},"688":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ForceTemplateRefresh.htm",l:-1,t:"ForceTemplateRefresh",i:0.00422086694541368,a:"ForceTemplateRefresh If you specify a Template to use for your action results, you can set ForceTemplateRefresh to  True to force the ACI server  to reload this template from disk rather than from the cache."},"689":{y:0,u:"../Content/Actions/General/_ACI_MemoryReport_MaxDepth.htm",l:-1,t:"MaxDepth",i:0.00310903994147886,a:"MaxDepth The maximum depth to return memory information for. The  MemoryReport  response XML displays a tree structure, with information for components and their sub-components on multiple levels. You can set MaxDepth to restrict the report to this number of levels. "},"690":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_StartedBefore.htm",l:-1,t:"Started-Before",i:0.002161888738408,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that started processing before the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ..."},"691":{y:0,u:"../Content/Actions/General/_ACI_Tail.htm",l:-1,t:"Tail",i:0.00200815678281013,a:"Tail The number of most recent requests that the log must display. "},"692":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_QueueAction.htm",l:-1,t:"QueueAction",i:0.00124306531090701,a:"The action to perform on the queue. Specify one of the following actions:  cancel - cancel the queued action specified by the Token parameter. Use this option to cancel an action that has not started processing. changePriority - change the priority of the queued action specified by the Token ..."},"693":{y:0,u:"../Content/Actions/General/_ACI_DiskReport_MaxDepth.htm",l:-1,t:"MaxDepth",i:0.00310903994147886,a:"The maximum number of levels to print in the output for a disk report. Yammer Connector always counts all objects, but for this number of levels, Yammer Connector also prints details of the components, items, directories, and files.  To print the whole directory tree, set this parameter to  -1. "},"694":{y:0,u:"../Content/Configuration/Server/_ACI_AllowedOutputDirectoryCSVs.htm",l:-1,t:"AllowedOutputDirectoryCSVs",i:0.00303491814121654,a:"A comma-separated list of the directories that the server  can write output files to. Output files are created when an action is sent with the  Output  parameter set to  file. The path must be absolute (for example, C:\\IDOLServer\\outputs or /store/idol/results). The service cannot write to ..."},"695":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_Token.htm",l:-1,t:"Token",i:0.00159527396765099,a:"Token To specify a single action in the queue, specify the token. You must specify this parameter when QueueAction=cancel, or QueueAction=changePriority. "},"696":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ResponseFormat.htm",l:-1,t:"ResponseFormat",i:0.00303491814121654,a:"The format in which you want to receive the action output. You can use one of the following response formats: XML. XML format. Config. Config format (that is, similar to the Yammer Connector configuration file). json. Default JSON format, as you configure in  JSONFormat . json/0. A JSON format that ..."},"697":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_State.htm",l:-1,t:"State",i:0.00124306531090701,a:"State The actions to return, based on their current state. This parameter accepts a comma-separated list that contains one or more of the following values: queued - return actions that are waiting in the queue. running - return actions that are running. finished - return actions that have finished."},"698":{y:0,u:"../Content/Service/ServiceActions/_ACI_Logs.htm",l:-1,t:"Logs",i:0.00242630051344023,a:"Logs The log files to include in the diagnostic ZIP file. You can use one of the following options: Action Diagnostic Type: String Default: Current Required: No Example: Logs=Full See Also:"},"699":{y:0,u:"../Content/Actions/General/_ACI_Data.htm",l:-1,t:"Data",i:0.0010317141471191,a:"Data The encrypted version of the original action. To send an encrypted action, encrypt the action and then send it in the Data parameter of the  Encrypted  action. "},"700":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_MinPriority.htm",l:-1,t:"Min-Priority",i:0.002161888738408,a:"Min-Priority Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the connector only returns actions that have a priority the same as or higher than the specified value."},"701":{y:0,u:"../Content/Configuration/SSL/_ACI_SSLConfig.htm",l:-1,t:"SSLConfig",i:0.0115592683319245,a:"Identifies the configuration section in which the SSL configuration details are specified, usually SSLOptionN. You must set this parameter if you are using SSL connections between components. To control incoming ACI calls, set this parameter in the [Server] section. To control outgoing ACI calls, ..."},"702":{y:0,u:"../Content/Actions/SharedParameters/_ACI_TemplateParamCSVs.htm",l:-1,t:"TemplateParamCSVs",i:0.000455246925723411,a:"A comma-separated list of variables to set in the XSL template.  If you specify an XSL template in the  Template  parameter, you can set the XSLT variables for the template by setting TemplateParamCSVs. Set a variable by adding the parameter name and the value, separated by a comma. To set multiple ..."},"703":{y:0,u:"../Content/Configuration/ACIEncryption/_ACI_CommsEncryptionType.htm",l:-1,t:"CommsEncryptionType",i:0.000849303274693536,a:"The CommsEncryptionType parameter is deprecated for Yammer Connector version 12.6.0 and later. Instead of using ACI encryption, Micro Focus recommends configuring Secure Socket Layer (SSL) connections between ACI servers and applications. For more information, see  Secure Socket Layer Parameters . ..."},"704":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_FinishedBefore.htm",l:-1,t:"Finished-Before",i:0.002161888738408,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that finished processing before the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ..."},"705":{y:0,u:"../Content/Actions/SharedParameters/_ACI_EncryptResponse.htm",l:-1,t:"EncryptResponse",i:0.000455246925723411,a:"The EncryptResponse parameter is deprecated for Yammer Connector version 12.6.0 and later. Instead of using ACI encryption, Micro Focus recommends configuring Secure Socket Layer (SSL) connections between ACI servers and applications. For more information, see  Secure Socket Layer Parameters . You ..."},});